Subject: Re: TINNITUS Herbal Treatment?

From: [email-masked] (David Powner)
Date: Wed, 8 Feb 1995 09:22:39 +0000

In article <[email-masked]> [email-masked] "Brad Sarno" writes:
> 
> Are there any herbs for treating tinnitus? Thanks, Brad Sarno
> 
Probably the most widely used is Gingko Biloba, but there's also Black
Cohosh, Golden Seal and Feverfew. If you wish I can give you chapter & 
verse.

I would suggest that you subscribe to the newsgroup alt.support.tinnitus
if you do not do so already. There's an excellent FAQ (which also covers
Meniere's syndrome).
-- 
David Powner                   Internet: [email-masked]